- Random123-1.09 Documentation

Public Types | Public Member Functions | Static Public Attributes

# r123::Philox2x64_R< ROUNDS > Class Template Reference
[Philox Classes and Typedefs]

`#include <Random123/philox.h>`

List of all members.

## Public Types
typedef r123array2x64 | ctr_type
typedef r123array1x64 | key_type
typedef r123array1x64 | ukey_type
## Public Member Functions
ctr_type | operator() (ctr_type ctr, key_type key) const
## Static Public Attributes
static const unsigned int | rounds = ROUNDS

## Detailed Description

### template<unsigned int ROUNDS>
class r123::Philox2x64_R< ROUNDS >

exports the member functions, typedefs and operator overloads required by a CBRNG class.

The template argument, ROUNDS, is the number of times the Philox round function will be applied.

As of September 2011, the authors know of no statistical flaws with ROUNDS=6 or more for Philox2x64.

## Member Typedef Documentation

template<unsigned int ROUNDS>

typedef r123array2x64 r123::Philox2x64_R< ROUNDS >::ctr_type

template<unsigned int ROUNDS>

typedef r123array1x64 r123::Philox2x64_R< ROUNDS >::key_type

template<unsigned int ROUNDS>

typedef r123array1x64 r123::Philox2x64_R< ROUNDS >::ukey_type

## Member Function Documentation

template<unsigned int ROUNDS>

ctr_type r123::Philox2x64_R< ROUNDS >::operator() | ( | ctr_type | ctr,
|  | key_type | key |
| ) |  |  | const`[inline]`

## Member Data Documentation

template<unsigned int ROUNDS>

const unsigned int r123::Philox2x64_R< ROUNDS >::rounds = ROUNDS`[static]`

The documentation for this class was generated from the following file:

- Random123/philox.h

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines